Python 2.7 est la dernière version majeure de la série 2.x, et n'est plus maintenue depuis le 1er janvier 2020. Utilisez la balise générique [python] sur toutes les questions Python. N'ajoutez pas cette balise simplement pour indiquer la version de Python que vous utilisez, sauf si la question concerne un problème spécifique à Python 2.7.

Documentation pour Python 2.7.

Pour une explication des raisons pour lesquelles il s'agit de la dernière version 2.x, voir PEP 404.

La date de fin de viepour Python 2.7 a été définie comme le 1er janvier 2020, voir PEP 373. La dernière version de Python 2.7 était la 2.7.18, publiée le 20 avril 2020.

Ce guideexplique comment choisir une version de Python pour le développement. Tous les nouveaux projets devraient désormais cibler Python 3, sauf si vous avez des exigences externes qui vous obligent toujours à rester sur l'ancienne version.


Recommandation de balisage:

Utilisez la balise pythonpour toutes les questions liées à Python. Si vous pensez que votre question inclut des problèmes où les incompatibilités de version entre Python 2.x et Python 3.x sont pertinentes, ajoutez le python-2.xou python-3.x en plus de la balise principale. Si vous pensez que votre question peut être encore plus spécifique, vous pouvez inclure une balise spécifique à la version telle que python-2.7.

Veuillez ne pas mélanger python-2.x(ou une balise plus spécifique telle que python-2.7) et python-3.x(idem) à moins que vous ne posiez spécifiquement une question sur un problème d'interopérabilité entre les versions.